?a processing instruction before the document element
(DOC
?a processing instruction inside the document element
AA1 TOKEN BAR
ssysid2
NN2
AA2 NOTATION N2
AA3 CDATA a3: e1 = `e1 contents' e2 = `\|e2 contents\|';
Ie1 CDATA e1 contents
AA4 ENTITY e1
AA5 TOKEN ID1
AA6 TOKEN ID2
AA7 TOKEN XYZZY
AA8 TOKEN .NMTOKEN
AA9 TOKEN 42
AA10 TOKEN 10PT
Ie2 SDATA e2 contents
NN1
se3.file1:e3.file2
fe3.file1
fe3.file2
Ee3 CDATA N1
De3 A1 CDATA a1 contents
De3 A2 TOKEN A2VAL
De3 A3 TOKEN A3VAL1 A3VAL2
p-//dummy//NOTATION n3//EN
NN3
se4.file
fe4.file
Ee4 SDATA N3
p-//dummy//NOTATION n4//EN
ssysid4
NN4
se5.file
fe5.file
Ee5 NDATA N4
smemo.sgm
fmemo.sgm
Se6
AA11 ENTITY e1 e2 e3 e4 e5 e6
AA12 TOKEN ID1 ID2
AA13 TOKEN NAME1 NAME2
AA14 TOKEN .NAME1 .NAME2
AA15 TOKEN 6 28
AA16 TOKEN 10PT 12PT
(E
-A null character \000. "Quoted". A backslash \\.\ne1 = `e1 contents'\ne2 = `\|e2 contents\|'\ne3 = `
&e3
-'\ne5 = `
&e5
-'
)E
AA1 TOKEN FOO
AA2 NOTATION N3
AA3 IMPLIED
AA4 IMPLIED
AA5 TOKEN ID2
AA6 IMPLIED
AA7 IMPLIED
AA8 IMPLIED
AA9 IMPLIED
AA10 IMPLIED
AA11 IMPLIED
AA12 IMPLIED
AA13 IMPLIED
AA14 IMPLIED
AA15 IMPLIED
AA16 IMPLIED
(E
-e6 = `
{e6
ASEC CDATA Internal Use Only
ASTATUS TOKEN FINAL
(MEMO
(PROLOG
(DATE
-March 11, 1985
)DATE
(FROM
-C.F. Goldfarb
)FROM
(TO
(WHOM
-K.L. Eckhardt
)WHOM
(TITLE
-Mgr., West Coast Development Center
)TITLE
(ZIP
-FLA/029
)ZIP
(LOCATION
-San Jose
)LOCATION
)TO
(SUBJECT
-With SGML, 
(Q
-What You See Isn't All You Get
)Q
)SUBJECT
)PROLOG
(BODY
(P
-Dear Keith,
)P
(P
-This memo is being written to demonstrate the power and simplicity of\nthe SGML markup minimization and WYSIWYG support.
)P
(P
-Although only one tag is visible in the document (to identify an optional\n
(Q
-carbon copy
)Q
- recipient), the SGML parser recognizes 15 different\nelement types.  This allows each element to be formatted differently;\nfor example, the start and end of a quotation can have differing\ncurved quotation marks (the normal typesetting convention), even though\nidentical straight quotation marks were used as the WYSIWYG entry convention.
)P
(P
-Yours truly,
)P
(P
-Charles F. Goldfarb
)P
(CC
-Distribution
)CC
)BODY
)MEMO
}e6
-'
)E
AA1 TOKEN FOO
AA2 NOTATION N4
AA3 IMPLIED
AA4 IMPLIED
AA5 TOKEN ID3
AA6 TOKEN ID1
AA7 IMPLIED
AA8 IMPLIED
AA9 IMPLIED
AA10 IMPLIED
AA11 IMPLIED
AA12 IMPLIED
AA13 IMPLIED
AA14 IMPLIED
AA15 IMPLIED
AA16 IMPLIED
(E
-e7 = `
?e7 contents
-'
)E
)DOC
?a processing instruction after the document element
C
